//+------------------------------------------------------------------+
//|                                                      ATRDiff.mq4 |
//|                                                Copyright fxinvjp |
//|                                           http://www.fxinvjp.com |
//+------------------------------------------------------------------+
#property copyright "Copyright fxinvjp"
#property link      "http://www.fxinvjp.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Blue
#property indicator_level1 0.0

extern int ATRperiod=20;
//---- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  string shortname = "ATR Hist";
  IndicatorShortName(shortname);
//---- indicators
   IndicatorBuffers(1);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   
   if(Bars<=0)
   {  
      Alert("Not enough Bar");
      return(false);
   }
   
   int timeFrame = Period();
   
   int Barhistogramme = 1440/timeFrame;
   
   if(Bars<Barhistogramme)
   {  
      Alert("Not enough Bar");
      return(false);
   }
   
   if(counted_bars>0)
   counted_bars--;
   
   int pos = Bars-counted_bars;
   
   while(pos>0)
   {
      ExtMapBuffer1[pos]=iATR(NULL,Period(),ATRperiod,pos)-iATR(NULL,Period(),Barhistogramme,pos);
      pos--;
   }
   
      
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+